Subject: Re: [v6ops] New Version Notification for draft-ietf-v6ops-ipv6-deployment-04.txt

From: Li Cong <[email-masked]>
Date: Mon, 28 Feb 2022 16:48:16 +0800

Hi, Paolo,

This draft gives a comprehensive picture of global IPv6 development and extracts some basic challenges that need to be solved by the industry. I think this draft is useful. In addition, I also have some comments prefixed [Cong] below, 

[Cong]: In this draft, you use the terms of “IPv6 introduction” and “IPv6-only to illustrate the first stage and second stage of IPv6 development respectively. However, I think they may overlap in some scenarios, for instance, some operators may use IPv6-only directly and stride over the IPv6-introduction stage with dual-stack. What I mean here is that dual-stack and IPv6-only are different approaches of transition, they do not correspond to the stages absolutely.    

In section 3.6, “The preliminary step to take full benefit of the IPv6 capabilities is to write or adapt the application software for use in IPv6 networks”

[Cong]: As far as I know, the software code of most modern applications is agnostic to the type of IP address, whether the application uses IPv6 lies in the difference of address configuration of the host.

In Section 4.1， “Although the Dual-Stack IPv6 transition is a good solution to be followed in the IPv6 introductory stage,” 

[Cong]: From the perspective of network operation, I don’t think dual-stack is a GOOD solution, for it increase the cost of O&M. In addition, dual-stack provide exposure-face, it increases the risk of being attack. I think it should be replaced by other term.

In section 4.. “IPv6-only transition technologies with IPv4aaS have a much lower need for IPv4 public addresses, because they make a more efficient usage without restricting the number of ports per subscriber.”

[Cong]: I think the restriction of number of ports per-subscriber is related to the policy of address/port usage, IMO it should be independent to the approach of IPv4aaS.

I hope my comments will be helpful to your document.

Best regards， 

Cong Li

-----Original Message-----
From: Paolo Volpato 
Sent: Tuesday, February 8, 2022 4:54 PM
To: [email-masked]
Cc: Chongfeng Xie <[email-masked]>; Giuseppe Fioccola <[email-masked]>; Gyan Mishra <[email-masked]>; Jordi Palet Martinez <[email-masked]>; Nalini Elkins <[email-masked]>
Subject: RE: New Version Notification for draft-ietf-v6ops-ipv6-deployment-04.txt

Dear WG,

We have published version 04 of draft-ietf-v6ops-ipv6-deployment (https://datatracker.ietf.org/doc/draft-ietf-v6ops-ipv6-deployment/).

We have reviewed most of the draft, to update the status of IPv6 deployment and to refresh some of its parts. 

Here is the summary of the main changes:
- Section 2: introduced the new numbers on the adoption IPv6 (as of January 2022).
- Section 3: updated the adoption of IPv6 in the enterprise, government and education domains. We have also added references to more countries (e.g. India, the European Union).
- Section 4: we have reviewed this section to address some offline comments and discussions on the concept of "overlay" (i.e. how IPv6 may support the service layer and its role to enable the transition to IPv6-only).
- Section 5: reviewed the description of IPv6 in the "underlay" (the network).

Please feel free to comment.

On behalf of the authors
Paolo

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Tuesday, February 8, 2022 4:34 PM
To: Gyan S. Mishra <[email-masked]>; Chongfeng Xie <[email-masked]>; Giuseppe Fioccola <[email-masked]>; Gyan Mishra <[email-masked]>; Jordi Martinez <[email-masked]>; Jordi Palet Martinez <[email-masked]>; Nalini Elkins <[email-masked]>; Paolo Volpato <[email-masked]>
Subject: New Version Notification for draft-ietf-v6ops-ipv6-deployment-04.txt

A new version of I-D, draft-ietf-v6ops-ipv6-deployment-04.txt
has been successfully submitted by Giuseppe Fioccola and posted to the IETF repository.

Name:        draft-ietf-v6ops-ipv6-deployment
Revision:    04
Title:        IPv6 Deployment Status
Document date:    2022-02-08
Group:        v6ops
Pages:        45
URL:            https://www.ietf.org/archive/id/draft-ietf-v6ops-ipv6-deployment-04.txt
Status:        https://datatracker.ietf.org/doc/draft-ietf-v6ops-ipv6-deployment/
Htmlized:      https://datatracker.ietf.org/doc/html/draft-ietf-v6ops-ipv6-deployment
Diff:          https://www.ietf.org/rfcdiff?url2=draft-ietf-v6ops-ipv6-deployment-04

Abstract:
  This document provides an overview of IPv6 deployment status and a
  view on how the transition to IPv6 is progressing among network
  operators and enterprises.  It also aims to analyze the related
  challenges and therefore encourage actions and more investigations in
  those areas where the industry has not taken a clear and unified
  approach.

The IETF Secretariat